Get Branch
Get a single branch with computed status and `nextActions`.
<Warning title="Enterprise Only">This endpoint requires an Enterprise workspace with the page branching entitlement.</Warning>
Required scope | `branches:read`
Authentication
AuthorizationBearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
site_id
Unique identifier for a Site
branch_id
Unique identifier for a Branch
Response
Branch details
id
siteId
pageId
ID of the branch page (the duplicate page on the branch).
parentPageId
ID of the original page the branch was created from, or null for standalone branches.
pageName
Display name of the parent page, or the branch page title for standalone branches.
status
Computed lifecycle status for a branch.
stagingDomain
Staging domain configured for branch preview publishes.
lastPublished
Timestamp of the last branch preview publish, if any.
review
Active review metadata when the branch is in review.
createdOn
updatedOn
nextActions
Errors
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
429
Too Many Requests Error
500
Internal Server Error
503
Service Unavailable Error